> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an integration mappings

> Update an integration mappings

### Path parameters

<ParamField path="id" type="string" required>
  Integration mapping ID
</ParamField>

### Request body

`UpdateIntegrationMappingRequest`

<ParamField body="internal_value" type="string,null" />

<ParamField body="is_active" type="boolean,null" />

### Responses

<ResponseField name="200" type="IntegrationMappingResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/integration-mappings/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "internal_value": null,
    "is_active": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "external_value": "string",
    "field_name": "string",
    "id": "string",
    "integration": "string",
    "internal_value": "string",
    "is_active": true,
    "mapping_group": "string"
  }
  ```
</ResponseExample>
